--
-- $Id$
--
-- Aanmaken import tabel voor import van Topdesk tickets

DEFINE thisfile = 'UBRH#55068_5.SQL'
DEFINE dbuser   = '^UBRH'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------


DROP TABLE UBRH_MLD_NOTES;

-- Tabel om de CLOB om te zetten naar makkelijker hanteerbare tekstblokken
CREATE TABLE UBRH_MLD_NOTES
(
   MLD_MELDING_KEY   VARCHAR2 (30),
   MLD_EXTERNNR      VARCHAR2 (30),
   OMS_1             VARCHAR2 (4000),
   OMS_2             VARCHAR2 (4000),
   OMS_3             VARCHAR2 (4000),
   OMS_4             VARCHAR2 (4000),
   OMS_5             VARCHAR2 (4000),
   OMS_6             VARCHAR2 (4000),
   OMS_7             VARCHAR2 (4000),
   OMS_8             VARCHAR2 (4000),
   OMS_9             VARCHAR2 (4000),
   LOMS_1             VARCHAR2 (4000),
   LOMS_2             VARCHAR2 (4000),
   LOMS_3             VARCHAR2 (4000),
   LOMS_4             VARCHAR2 (4000),
   LOMS_5             VARCHAR2 (4000),
   LOMS_6             VARCHAR2 (4000),
   LOMS_7             VARCHAR2 (4000),
   LOMS_8             VARCHAR2 (4000),
   LOMS_9             VARCHAR2 (4000)
);

COMMIT;


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
